diff -ruN ccp4srs-old/ccp4srs/mpfile_.cpp ccp4srs/ccp4srs/mpfile_.cpp
--- ccp4srs-old/ccp4srs/mpfile_.cpp	2014-03-24 10:40:19.000000000 -0700
+++ ccp4srs/ccp4srs/mpfile_.cpp	2014-09-09 21:34:12.000000000 -0700
@@ -1,10 +1,10 @@
-//  $Id: mpfile_.cpp, v 1.00 2010/03/11 15:28:14 Eugene Exp $
+//  $Id: mpfile_.cpp $
 //  =================================================================
 //
 //   CCP4 SRS Library: Storage, Retrieval and Search support for
 //   CCP4 ligand data.
 //
-//   Copyright (C) Eugene Krissinel 2010.
+//   Copyright (C) Eugene Krissinel 2010-2013.
 //
 //   This library is free software: you can redistribute it and/or
 //   modify it under the terms of the GNU Lesser General Public
@@ -22,270 +22,271 @@
 //
 //  =================================================================
 //
-//    11.03.10   <--  Date of Last Modification.
+//    18.09.13   <--  Date of Last Modification.
 //                   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 //  -----------------------------------------------------------------
 //
 //  **** Module  :  mpfile_  <implementation>
 //       ~~~~~~~~~
-//  **** Classes :  CMPFile  - multi-part file support
+//  **** Classes :  ccp4srs::MPFile  - multi-part file support
 //       ~~~~~~~~~
 //
-//  (C) E. Krissinel 2010
+//  (C) E. Krissinel 2010-2013
 //
 //  =================================================================
 //
 
-#ifndef  MPFILE_H
 #include "mpfile_.h"
-#endif
 
+namespace ccp4srs  {
 
-//  ==========================  CMPFile  ============================
+  //  ==========================  MPFile  ============================
 
-void SMPFilePos::Copy ( RSMPFilePos dbf_pos )  {
-  chunkNo = dbf_pos.chunkNo;
-  offset  = dbf_pos.offset;
-}
-
-void SMPFilePos::write ( RCFile f )  {
-  f.WriteByte ( &chunkNo );
-  f.WriteLong ( &offset  );
-}
-
-void SMPFilePos::read ( RCFile f )  {
-  f.ReadByte ( &chunkNo );
-  f.ReadLong ( &offset  );
-}
-
-
-CMPFile::CMPFile()  {
-  f         = NULL;
-  fpath     = NULL;
-  chunkPath = NULL;
-  uniBinary = True;
-  readOnly  = False;
-  chunkSize = 1000000000;
-  chunkNo   = 0;
-  nchunks   = 0;
-}
-
-CMPFile::~CMPFile()  {
-  shut();
-  if (fpath)  {
-    delete[] fpath;
-    fpath = NULL;
-  }
-}
-
-void CMPFile::shut()  {
-int i;
-  if (f)  {
-    for (i=0;i<nchunks;i++)
-      if (f[i])  f[i]->shut();
-    delete[] f;
-    f = NULL;
+  void MPFilePos::Copy ( RMPFilePos dbf_pos )  {
+    chunkNo = dbf_pos.chunkNo;
+    offset  = dbf_pos.offset;
+  }
+
+  void MPFilePos::write ( mmdb::io::RFile f )  {
+    f.WriteByte ( &chunkNo );
+    f.WriteLong ( &offset  );
   }
-  if (chunkPath)  {
-    delete[] chunkPath;
+
+  void MPFilePos::read ( mmdb::io::RFile f )  {
+    f.ReadByte ( &chunkNo );
+    f.ReadLong ( &offset  );
+  }
+
+
+  MPFile::MPFile()  {
+    f         = NULL;
+    fpath     = NULL;
     chunkPath = NULL;
+    uniBinary = true;
+    readOnly  = false;
+    chunkSize = 1000000000;
+    chunkNo   = 0;
+    nchunks   = 0;
   }
-  uniBinary = True;
-  readOnly    = False;
-  chunkSize = 1000000000;
-  chunkNo   = 0;
-  nchunks   = 0;
-}
-
-void CMPFile::assign ( cpstr FName, Boolean UniB )  {
-  shut();
-  CreateCopy ( fpath,FName );
-  uniBinary = UniB;
-}
-
-pstr CMPFile::getChunkPath()  {
-char N[50];
-  sprintf ( N,".fp%i",chunkNo+1 );
-  CreateCopCat ( chunkPath,fpath,N );
-  return chunkPath;
-}
-
-Boolean CMPFile::reset ( Boolean readOnly )  {
-  shut();
-  readOnly = readOnly;
-  chunkNo  = 0;
-  nchunks  = 1;
-  f    = new PCFile[nchunks];
-  f[0] = new CFile();
-  f[0]->assign ( getChunkPath(),False,uniBinary,GZM_NONE );
-  if (f[0]->reset(readOnly))
-       return f[0]->ReadLong ( &chunkSize );
-  else return False;
-}
-
-Boolean CMPFile::rewrite ( long chunk_size )  {
-
-  shut();
-
-  readOnly  = False;
-  chunkSize = chunk_size;
-  chunkNo   = 1;
-  nchunks   = 1;
-  f    = new PCFile[nchunks];
-  f[0] = new CFile();
-  while (chunkNo>0)  {
-    f[0]->assign ( getChunkPath(),False,uniBinary,GZM_NONE );
-    if (f[0]->exists())  {
-      f[0]->erase();
-      chunkNo++;
-    } else
-      chunkNo = 0;
+
+  MPFile::~MPFile()  {
+    shut();
+    if (fpath)  {
+      delete[] fpath;
+      fpath = NULL;
+    }
   }
-  f[0]->assign ( getChunkPath(),False,uniBinary,GZM_NONE );
-  if (f[0]->rewrite())  return f[0]->WriteLong ( &chunkSize );
-                  else  return False;
 
-}
+  void MPFile::shut()  {
+  int i;
+    if (f)  {
+      for (i=0;i<nchunks;i++)
+        if (f[i])  f[i]->shut();
+      delete[] f;
+      f = NULL;
+    }
+    if (chunkPath)  {
+      delete[] chunkPath;
+      chunkPath = NULL;
+    }
+    uniBinary = true;
+    readOnly    = false;
+    chunkSize = 1000000000;
+    chunkNo   = 0;
+    nchunks   = 0;
+  }
 
-Boolean CMPFile::append ( long chunk_size )  {
-PCFile fa;
-int    i;
+  void MPFile::assign ( mmdb::cpstr FName, bool UniB )  {
+    shut();
+    mmdb::CreateCopy ( fpath,FName );
+    uniBinary = UniB;
+  }
 
-  shut();
+  mmdb::pstr MPFile::getChunkPath()  {
+  char N[50];
+    sprintf ( N,".fp%i",chunkNo+1 );
+    mmdb::CreateCopCat ( chunkPath,fpath,N );
+    return chunkPath;
+  }
 
-  readOnly = False;
-  chunkNo  = 0;
-  nchunks  = 1;
+  bool MPFile::reset ( bool readOnly )  {
+    shut();
+    readOnly = readOnly;
+    chunkNo  = 0;
+    nchunks  = 1;
+    f    = new mmdb::io::PFile[nchunks];
+    f[0] = new mmdb::io::File();
+    f[0]->assign ( getChunkPath(),false,uniBinary,mmdb::io::GZM_NONE );
+    if (f[0]->reset(readOnly))
+         return f[0]->ReadLong ( &chunkSize );
+    else return false;
+  }
 
-  fa = new CFile();
-  fa->assign ( getChunkPath(),False,uniBinary,GZM_NONE );
+  bool MPFile::rewrite ( long chunk_size )  {
 
-  if (!fa->exists())  {
+    shut();
 
-    f = new PCFile[nchunks];
+    readOnly  = false;
     chunkSize = chunk_size;
-    f[0] = fa;
-    if (f[0]->rewrite())
-         return f[0]->WriteLong ( &chunkSize );
-    else return False;
+    chunkNo   = 1;
+    nchunks   = 1;
+    f    = new mmdb::io::PFile[nchunks];
+    f[0] = new mmdb::io::File();
+    while (chunkNo>0)  {
+      f[0]->assign ( getChunkPath(),false,uniBinary,mmdb::io::GZM_NONE );
+      if (f[0]->exists())  {
+        f[0]->erase();
+        chunkNo++;
+      } else
+        chunkNo = 0;
+    }
+    f[0]->assign ( getChunkPath(),false,uniBinary,mmdb::io::GZM_NONE );
+    if (f[0]->rewrite())  return f[0]->WriteLong ( &chunkSize );
+                    else  return false;
+
+  }
+
+  bool MPFile::append ( long chunk_size )  {
+  mmdb::io::PFile fa;
+  int    i;
+
+    shut();
+
+    readOnly = false;
+    chunkNo  = 0;
+    nchunks  = 1;
+
+    fa = new mmdb::io::File();
+    fa->assign ( getChunkPath(),false,uniBinary,mmdb::io::GZM_NONE );
+
+    if (!fa->exists())  {
 
-  } else if (fa->reset(readOnly))  {
+      f = new mmdb::io::PFile[nchunks];
+      chunkSize = chunk_size;
+      f[0] = fa;
+      if (f[0]->rewrite())
+           return f[0]->WriteLong ( &chunkSize );
+      else return false;
 
-    if (!fa->ReadLong(&chunkSize))  {
-      delete fa;
-      return False;
+    } else if (fa->reset(readOnly))  {
+
+      if (!fa->ReadLong(&chunkSize))  {
+        delete fa;
+        return false;
+      }
+
+    } else
+      return false;
+
+    while (fa->exists())  {
+      chunkNo++;
+      fa->assign ( getChunkPath(),false,uniBinary,mmdb::io::GZM_NONE );
     }
 
-  } else
-    return False;
+    nchunks = chunkNo;
+    chunkNo--;
+
+    f = new mmdb::io::PFile[nchunks];
+    for (i=0;i<nchunks;i++)
+      f[i] = NULL;
+
+    f[chunkNo] = fa;
+    f[chunkNo]->assign ( getChunkPath(),false,uniBinary,mmdb::io::GZM_NONE );
+    return f[chunkNo]->append();
 
-  while (fa->exists())  {
-    chunkNo++;
-    fa->assign ( getChunkPath(),False,uniBinary,GZM_NONE );
   }
 
-  nchunks = chunkNo;
-  chunkNo--;
+  void MPFile::getPosition ( RMPFilePos DBFPos )  {
+    if (f)  {
+      if (f[chunkNo])  {
+        DBFPos.chunkNo = chunkNo;
+        DBFPos.offset  = f[chunkNo]->Position();
+        return;
+      }
+    }
+    DBFPos.chunkNo = 0;
+    DBFPos.offset  = 0;
+  }
 
-  f = new PCFile[nchunks];
-  for (i=0;i<nchunks;i++)
-    f[i] = NULL;
+  bool MPFile::getChunk ( int toChunkNo, bool onRead )  {
+  mmdb::io::PPFile f1;
+  int              i;
+  bool             B;
+    if (toChunkNo>=nchunks)  {
+      f1 = new mmdb::io::PFile[toChunkNo+1];
+      for (i=0;i<nchunks;i++)
+        f1[i] = f[i];
+      for (i=nchunks;i<=toChunkNo;i++)
+        f1[i] = NULL;
+      if (f)  delete[] f;
+      f = f1;
+      nchunks = toChunkNo+1;
+    }
+    chunkNo = toChunkNo;
+    if (!f[chunkNo])  {
+      f[chunkNo] = new mmdb::io::File();
+      f[chunkNo]->assign ( getChunkPath(),false,uniBinary,
+                           mmdb::io::GZM_NONE );
+    }
+    if (!f[chunkNo]->isOpen())  {
+      if (onRead)  {
+        B = f[chunkNo]->reset ( readOnly );
+        if (B && (chunkNo==0))
+          f[chunkNo]->ReadLong ( &chunkSize );
+      } else  {
+        B = f[chunkNo]->rewrite();
+        if (B && (chunkNo==0))
+          f[chunkNo]->WriteLong ( &chunkSize );
+      }
+      if (!B)  {
+        delete f[chunkNo];
+        f[chunkNo] = NULL;
+      }
+      return B;
+    }
+    return true;
+  }
 
-  f[chunkNo] = fa;
-  f[chunkNo]->assign ( getChunkPath(),False,uniBinary,GZM_NONE );
-  return f[chunkNo]->append();
+  bool MPFile::seek ( RMPFilePos DBFPos )  {
+    if (getChunk(DBFPos.chunkNo,true))
+         return f[chunkNo]->seek ( DBFPos.offset );
+    else return false;
+  }
 
-}
+  bool MPFile::MPFileEnd()  {
+    if (f)  {
+      if (f[chunkNo])
+        return f[chunkNo]->FileEnd();
+    }
+    return true;
+  }
 
-void CMPFile::getPosition ( RSMPFilePos DBFPos )  {
-  if (f)  {
-    if (f[chunkNo])  {
-      DBFPos.chunkNo = chunkNo;
-      DBFPos.offset  = f[chunkNo]->Position();
-      return;
+  bool MPFile::Success()  {
+    if (f)  {
+      if (f[chunkNo])
+        return f[chunkNo]->Success();
     }
+    return false;
   }
-  DBFPos.chunkNo = 0;
-  DBFPos.offset  = 0;
-}
 
-Boolean CMPFile::getChunk ( int toChunkNo, Boolean onRead )  {
-PPCFile f1;
-int     i;
-Boolean B;
-  if (toChunkNo>=nchunks)  {
-    f1 = new PCFile[toChunkNo+1];
-    for (i=0;i<nchunks;i++)
-      f1[i] = f[i];
-    for (i=nchunks;i<=toChunkNo;i++)
-      f1[i] = NULL;
-    if (f)  delete[] f;
-    f = f1;
-    nchunks = toChunkNo+1;
-  }
-  chunkNo = toChunkNo;
-  if (!f[chunkNo])  {
-    f[chunkNo] = new CFile();
-    f[chunkNo]->assign ( getChunkPath(),False,uniBinary,GZM_NONE );
-  }
-  if (!f[chunkNo]->isOpen())  {
-    if (onRead)  {
-      B = f[chunkNo]->reset ( readOnly );
-      if (B && (chunkNo==0))
-        f[chunkNo]->ReadLong ( &chunkSize );
-    } else  {
-      B = f[chunkNo]->rewrite();
-      if (B && (chunkNo==0))
-        f[chunkNo]->WriteLong ( &chunkSize );
-    }
-    if (!B)  {
-      delete f[chunkNo];
-      f[chunkNo] = NULL;
-    }
-    return B;
-  }
-  return True;
-}
-
-Boolean CMPFile::seek ( RSMPFilePos DBFPos )  {
-  if (getChunk(DBFPos.chunkNo,True))
-       return f[chunkNo]->seek ( DBFPos.offset );
-  else return False;
-}
-
-Boolean CMPFile::MPFileEnd()  {
-  if (f)  {
-    if (f[chunkNo])
-      return f[chunkNo]->FileEnd();
-  }
-  return True;
-}
-
-Boolean CMPFile::Success()  {
-  if (f)  {
-    if (f[chunkNo])
-      return f[chunkNo]->Success();
-  }
-  return False;
-}
-
-Boolean CMPFile::checkChunkEnd ( Boolean onRead )  {
-  if (getChunk(chunkNo,onRead))  {
-    if (f[chunkNo]->Position()>=chunkSize)
-      return getChunk ( chunkNo+1,onRead );
-    return True;
-  }
-  return False;
-}
-
-
-PCFile CMPFile::getChunkRead()  {
-  if (checkChunkEnd(True))  return f[chunkNo];
-                      else  return NULL;
-}
-
-PCFile CMPFile::getChunkWrite()  {
-  if (checkChunkEnd(False))  return f[chunkNo];
-                       else  return NULL;
-}
+  bool MPFile::checkChunkEnd ( bool onRead )  {
+    if (getChunk(chunkNo,onRead))  {
+      if (f[chunkNo]->Position()>=chunkSize)
+        return getChunk ( chunkNo+1,onRead );
+      return true;
+    }
+    return false;
+  }
+
+
+  mmdb::io::PFile MPFile::getChunkRead()  {
+    if (checkChunkEnd(true))  return f[chunkNo];
+                        else  return NULL;
+  }
+
+  mmdb::io::PFile MPFile::getChunkWrite()  {
+    if (checkChunkEnd(false))  return f[chunkNo];
+                         else  return NULL;
+  }
 
+}  // namespace ccp4srs
diff -ruN ccp4srs-old/ccp4srs/mpfile_.h ccp4srs/ccp4srs/mpfile_.h
--- ccp4srs-old/ccp4srs/mpfile_.h	2014-03-24 10:40:19.000000000 -0700
+++ ccp4srs/ccp4srs/mpfile_.h	2014-09-09 21:34:12.000000000 -0700
@@ -1,10 +1,10 @@
-//  $Id: mpfile_.h, v 1.00 2010/03/11 15:28:14 Eugene Exp $
+//  $Id: mpfile_.h $
 //  =================================================================
 //
 //   CCP4 SRS Library: Storage, Retrieval and Search support for
 //   CCP4 ligand data.
 //
-//   Copyright (C) Eugene Krissinel 2010.
+//   Copyright (C) Eugene Krissinel 2010-2013.
 //
 //   This library is free software: you can redistribute it and/or
 //   modify it under the terms of the GNU Lesser General Public
@@ -22,16 +22,16 @@
 //
 //  =================================================================
 //
-//    11.03.10   <--  Date of Last Modification.
+//    03.02.14   <--  Date of Last Modification.
 //                   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 //  -----------------------------------------------------------------
 //
 //  **** Module  :  mpfile_  <interface>
 //       ~~~~~~~~~
-//  **** Classes :  CMPFile  - multi-part file support
+//  **** Classes :  ccp4srs::MPFile  - multi-part file support
 //       ~~~~~~~~~
 //
-//  (C) E. Krissinel 2010
+//  (C) E. Krissinel 2010-2014
 //
 //  =================================================================
 //
@@ -39,62 +39,62 @@
 #ifndef  MPFILE_H
 #define  MPFILE_H
 
-#ifndef  __File__
-#include "mmdb/file_.h"
-#endif
-
-
-//  ===========================  CMPFile  ===========================
-
-DefineStructure(SMPFilePos);
-
-struct SMPFilePos  {
-  byte  chunkNo;   // file part number (1-254)
-  long  offset;    // offset in chunk
-  void Copy  ( RSMPFilePos dbf_pos );
-  void write ( RCFile f );
-  void read  ( RCFile f );
-};
-
-DefineClass(CMPFile);
-
-class CMPFile  {
-
-  public :
-    CMPFile ();
-    ~CMPFile();
-
-    void     assign  ( cpstr FName, Boolean UniB=True );
-    Boolean  reset   ( Boolean readOnly=False );
-    Boolean  rewrite ( long chunk_size=1000000000  );
-    Boolean  append  ( long chunk_size=1000000000  );
-
-    pstr     FileName    () { return fpath; }
-    void     getPosition ( RSMPFilePos MPFilePos );
-    Boolean  seek        ( RSMPFilePos MPFilePos );
-    Boolean  MPFileEnd   ();
-    Boolean  Success     ();
-    void     shut        ();
- 
-    PCFile   getChunkRead ();
-    PCFile   getChunkWrite();
-
-  protected :
-    PPCFile f;
-    pstr    fpath;
-    long    chunkSize;
-    byte    chunkNo;
-    Boolean uniBinary,readOnly;
-
-    pstr    getChunkPath  ();
-    Boolean getChunk      ( int toChunkNo, Boolean onRead );
-    Boolean checkChunkEnd ( Boolean onRead );
-
-  private :
-    pstr    chunkPath;
-    int     nchunks;
+#include "mmdb2/mmdb_io_file.h"
 
-};
+namespace ccp4srs  {
 
+  //  ===========================  MPFile  ===========================
+
+  DefineStructure(MPFilePos);
+
+  struct MPFilePos  {
+    mmdb::byte chunkNo;   // file part number (1-254)
+    long       offset;    // offset in chunk
+    void Copy  ( RMPFilePos dbf_pos );
+    void write ( mmdb::io::RFile f );
+    void read  ( mmdb::io::RFile f );
+  };
+
+  DefineClass(MPFile)
+
+  class MPFile  {
+
+    public :
+      MPFile ();
+      ~MPFile();
+
+      void  assign  ( mmdb::cpstr FName, bool UniB=true );
+      bool  reset   ( bool readOnly=false );
+      bool  rewrite ( long chunk_size=1000000000  );
+      bool  append  ( long chunk_size=1000000000  );
+
+      mmdb::pstr FileName    () { return fpath; }
+      void  getPosition ( RMPFilePos MPFilePos );
+      bool  seek        ( RMPFilePos MPFilePos );
+      bool  MPFileEnd   ();
+      bool  Success     ();
+      void  shut        ();
+
+      mmdb::io::PFile   getChunkRead ();
+      mmdb::io::PFile   getChunkWrite();
+
+    protected :
+      mmdb::io::PPFile f;
+      mmdb::pstr       fpath;
+      long             chunkSize;
+      mmdb::byte       chunkNo;
+      bool             uniBinary,readOnly;
+
+      mmdb::pstr getChunkPath  ();
+      bool getChunk      ( int toChunkNo, bool onRead );
+      bool checkChunkEnd ( bool onRead );
+
+    private :
+      mmdb::pstr chunkPath;
+      int        nchunks;
+
+  };
+
+}  // namespace ccp4srs
 
 #endif  //  MPFILE_H
diff -ruN ccp4srs-old/configure.ac ccp4srs/configure.ac
--- ccp4srs-old/configure.ac	2014-03-24 10:40:19.000000000 -0700
+++ ccp4srs/configure.ac	2014-09-09 21:34:12.000000000 -0700
@@ -5,6 +5,7 @@
 AC_CONFIG_SRCDIR(ccp4srs/ccp4srs_angle.cpp)
 AC_CONFIG_HEADERS(config.h)
 AM_INIT_AUTOMAKE([1.11 foreign subdir-objects silent-rules -Wall])
+m4_ifdef([AM_PROG_AR], [AM_PROG_AR])
 LT_INIT([disable-shared win32-dll])
 AC_PROG_CXX
 AC_PROG_INSTALL
@@ -16,12 +17,12 @@
 AC_CHECK_HEADER(zlib.h, :, AC_MSG_ERROR(zlib.h header not found))
 
 AC_LANG_PUSH([C++])
-AC_CHECK_HEADER(mmdb/mmdb_manager.h, :,
-                AC_MSG_ERROR([mmdb headers not found.]))
+AC_CHECK_HEADER(mmdb2/mmdb_manager.h, :,
+                AC_MSG_ERROR([mmdb2 headers not found.]))
 dnl to make ccp4/configure script work, missing library at this stage
 dnl is not an error
-AC_CHECK_LIB(mmdb, MMDB_CCIF_Init, :,
-             AC_MSG_WARN([mmdb library not found.]))
+AC_CHECK_LIB(mmdb2, MMDB_CCIF_Init, :,
+             AC_MSG_WARN([mmdb2 library not found.]))
 AC_LANG_POP([C++])
 
 AC_OUTPUT([Makefile])
